import { jsx } from "react/jsx-runtime";
import { FileVideoIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileVideo = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileVideo", ...props, children: /* @__PURE__ */ jsx(FileVideoIcon, { weight: variant }) });
  }
);
FileVideo.displayName = "FileVideo";
Object.assign(FileVideo, { isGdsIcon: true });
export {
  FileVideo
};
